Skip to main content
POST
/
v1
/
promo
/
redeem
Redeem Promo
curl --request POST \
  --url https://api.example.com/v1/promo/redeem \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "code": "<string>"
}
'
{
  "promotion": {
    "id": "<string>",
    "name": "<string>",
    "ops_granted": 123,
    "ops_remaining": 123,
    "redeemed_at": "<string>",
    "expires_at": "<string>"
  },
  "message": "<string>",
  "status": "redeemed"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null

Body

application/json

Redeem a promo code and receive its credit grant.

code
string
required

The promo code (case-insensitive).

Required string length: 1 - 64

Response

Successful Response

Response body for POST /v1/promo/redeem on success.

promotion
RedemptionOut · object
required

Summary of a successful redemption, returned from POST /v1/promo/redeem.

message
string
required
status
string
default:redeemed

Always 'redeemed' on success.